Package be.ehealth.technicalconnector.service.sts.security.impl

# Class KeyPairCredential

java.lang.Object
be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
be.ehealth.technicalconnector.service.sts.security.impl.KeyPairCredential

All Implemented Interfaces:
  `Credential`, `ExtendedCredential`

public class KeyPairCredential extends AbstractExtendedCredential
Credentail that takes the `Certificate` and `PrivateKey` as input. Implementation of `AbstractExtendedCredential`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyPairCredential(PrivateKey privateKey, X509Certificate certificate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X509Certificate`
  `getCertificate()`
  Gets the certificate.
  `Certificate[]`
  `getCertificateChain()`
  Gets the certificate chain
  `String`
  `getIssuer()`
  Gets the issuer.
  `String`
  `getIssuerQualifier()`
  Gets the issuer qualifier.
  `KeyStore`
  `getKeyStore()`
  Gets the associated `KeyStore`
  `PrivateKey`
  `getPrivateKey()`
  Gets the private key.
  `String`
  `getProviderName()`
  Gets the keystore provider
  `PublicKey`
  `getPublicKey()`
  Gets the public key.

  ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential

  `getCertPath, getExpirationDateTime`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyPairCredential

    public KeyPairCredential(PrivateKey privateKey, X509Certificate certificate)
    Parameters:
      `privateKey` -
      `certificate` -

- ## Method Details

  - ### getIssuer

    public String getIssuer()
    Gets the issuer.
    Returns:
      the issuer

  - ### getIssuerQualifier

    public String getIssuerQualifier()
    Gets the issuer qualifier.
    Returns:
      the issuer qualifier

  - ### getPublicKey

    public PublicKey getPublicKey()
    Gets the public key.
    Returns:
      the public key

  - ### getPrivateKey

    public PrivateKey getPrivateKey()
    Gets the private key.
    Returns:
      the private key

  - ### getCertificate

    public X509Certificate getCertificate()
    Gets the certificate.
    Returns:
      the certificate

  - ### getProviderName

    public String getProviderName()
    Description copied from interface: `Credential`
    Gets the keystore provider

  - ### getCertificateChain

    public Certificate[] getCertificateChain()
    Description copied from interface: `Credential`
    Gets the certificate chain

  - ### getKeyStore

    public KeyStore getKeyStore() throws TechnicalConnectorException
    Description copied from interface: `Credential`
    Gets the associated `KeyStore`
    Throws:
      `TechnicalConnectorException`